grub/tests/hfs_test.in
Vladimir Serbinenko a827807a13 Fix shebang for termux.
Termux doesn't have a /bin/sh. So we needto use $SHELL.
Keep /bin/sh as much as possible.
2017-05-03 12:49:31 +02:00

23 lines
351 B
Text

#!@BUILD_SHEBANG@
set -e
if [ "x$EUID" = "x" ] ; then
EUID=`id -u`
fi
if [ "$EUID" != 0 ] ; then
exit 77
fi
if ! which mkfs.hfs >/dev/null 2>&1; then
echo "mkfs.hfs not installed; cannot test HFS."
exit 77
fi
if ! modprobe mac-roman; then
echo "no mac-roman support; cannot test HFS."
exit 77
fi
"@builddir@/grub-fs-tester" hfs